summaryrefslogtreecommitdiffstats
path: root/debian/agent-launch
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-10 19:49:47 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-10 19:49:47 +0000
commit9c5dd847393c7c0f37ef557d7a0d402deedd8d2a (patch)
treedcb9b4740181f58a5d235e8ca52f9855494f486e /debian/agent-launch
parentAdding upstream version 1:9.6p1. (diff)
downloadopenssh-9c5dd847393c7c0f37ef557d7a0d402deedd8d2a.tar.xz
openssh-9c5dd847393c7c0f37ef557d7a0d402deedd8d2a.zip
Adding debian version 1:9.6p1-4.debian/1%9.6p1-4
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/agent-launch')
-rwxr-xr-xdebian/agent-launch47
1 files changed, 47 insertions, 0 deletions
diff --git a/debian/agent-launch b/debian/agent-launch
new file mode 100755
index 0000000..637f8cd
--- /dev/null
+++ b/debian/agent-launch
@@ -0,0 +1,47 @@
+#!/bin/sh
+# helper script for launching ssh-agent, used by systemd unit
+set -e
+
+options="$(getopt -o '' -l help -- "$@")" || exit 1
+eval set -- "$options"
+
+if [ ! -d "$XDG_RUNTIME_DIR" ]; then
+ # shellcheck disable=SC2016
+ echo 'This needs $XDG_RUNTIME_DIR to be set' >&2
+ exit 1
+fi
+
+while :; do
+ case $1 in
+ --help)
+ echo 'Usage:' >&2
+ echo " $0 start [-- ssh-agent options]" >&2
+ echo " $0 stop"
+ exit 0
+ ;;
+ --)
+ shift
+ break
+ ;;
+ *)
+ echo "Unexpected argument: $1" >&2
+ exit 1
+ ;;
+ esac
+done
+
+if [ "$1" = start ]; then
+ shift
+ if [ -z "$SSH_AUTH_SOCK" ] && grep -s -q '^use-ssh-agent$' /etc/X11/Xsession.options; then
+ S="$XDG_RUNTIME_DIR/openssh_agent"
+ dbus-update-activation-environment --verbose --systemd SSH_AUTH_SOCK="$S" SSH_AGENT_LAUNCHER=openssh
+ exec ssh-agent -D -a "$S" "$@"
+ fi
+elif [ "$1" = stop ]; then
+ if [ "$SSH_AGENT_LAUNCHER" = openssh ]; then
+ dbus-update-activation-environment --systemd SSH_AUTH_SOCK=
+ fi
+else
+ echo "Unknown command $1" >&2
+ exit 1
+fi